# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           patchelf
Version:        0.6
Release:        alt1_4
Summary:        A utility for patching ELF binaries

Group:          Development/Tools
License:        GPLv3+
URL:            http://nixos.org/patchelf.html
Source0:        http://hydra.nixos.org/build/1524660/download/3/%{name}-%{version}.tar.gz
Patch0:         patchelf-copy-attr.patch

# make check does not work on these architectures: see bug #627370
ExcludeArch:    ppc ppc64 sparc64 sparcv9

BuildRequires:  autoconf automake libattr-devel libacl-devel
Source44: import.info


%description
PatchELF is a simple utility for modifying an existing ELF executable
or library.  It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.

%prep
%setup -q
%patch0 -p1 -b .copy-attr

# package ships elf.h - delete to use glibc-headers one
rm src/elf.h

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=%{buildroot}

# the docs get put in a funny place, so delete and include in the
# standard way in the docs section below
rm -rf %{buildroot}/usr/share/doc/%{name}

%files
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*
%doc README COPYING

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_4
- initial fc import

